/******************************************************************************
 *  pp_yacc_msg.h : 
 *	constants declared to represent the message strings 
 *	printed by pp_yacc.y 	
 * note : ordered alphabetically 
 *
 ****************************************************************************/
#define	PP_CANT_READ_FN_MSG	\
"Error: Can't read library \".libfn\" file"

#define	PP_CANT_READ_LIB_MSG	\
"Error: Can't read library file"

#define	PP_FUNC_NAME_TOO_LONG_MSG	\
"function name length >= PP_MAX_FUNCTION_CHAR"

#define	PP_INIT_RPC_MISPLACED_MSG	\
"Error: init_rpc() called in library module"

#define	PP_INS_BCAST_MSG	\
"line %d: Can't insert broadcast type '%s'\n"

#define	PP_INS_FUNC_MSG1	\
"line %d: Can't insert function name '%s'\n"

#define	PP_INS_FUNC_MSG2	\
"line %d: Can't insert default function type \"int\"\n"

#define	PP_INS_FUNC_MSG3	\
"line %d: Can't insert function type '%s'\n"

#define	PP_NO_RECURSIVE_LIB_MSG	\
"No recursive library definition allowed"

#define	PP_ONLY_L_FILE_MSG	\
"Error: Entry points can only be declared in \".l\" files"

#define	PP_PARA_TRUNC_MSG	\
"line %d: parameter '%s' truncated\n"

#define	PP_PTR_MSG1 	\
"line %d: rpc function returning pointer is not allowed\n"

#define	PP_PTR_MSG2	\
"line %d: rpc parameter can not be a pointer\n"

#define	PP_PTR_MSG3	\
"line %d: rpc function parameter cannot be a pointer to array\n"
 
#define	PP_RPC_RETURN_IGN_MSG	\
"Reminder: rpc function returns integer value which is ignored"

#define	PP_VAR_NOT_DECL_MSG	\
"line %d: variable \"%s\" is not a function parameter\n"

